Nearest-neighbor

## Functions

template<typename ItemDistance>
std::pair< ItemType, ItemType > | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour (ItemDistance &distance)
template<typename ItemDistance>
std::pair< ItemType, ItemType > | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour ()
template<typename ItemDistance>
std::pair< ItemType, ItemType > | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour (TemplateSTRtreeImpl< ItemType, BoundsTraits > &other, ItemDistance &distance)
template<typename ItemDistance>
std::pair< ItemType, ItemType > | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour (TemplateSTRtreeImpl< ItemType, BoundsTraits > &other)
template<typename ItemDistance>
ItemType | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour (const BoundsType &env, const ItemType &item, ItemDistance &itemDist)
template<typename ItemDistance>
ItemType | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour (const BoundsType &env, const ItemType &item)
template<typename ItemDistance>
bool | geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::isWithinDistance (TemplateSTRtreeImpl< ItemType, BoundsTraits > &other, double maxDistance)

## Detailed Description

## Function Documentation

## nearestNeighbour() [1/4]

template<typename ItemType, typename BoundsTraits>
template<typename ItemDistance>

std::pair< ItemType, ItemType > geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour | ( |  | ) |

inline

Determine the two closest items in the tree using distance metric ItemDistance.

References nearestNeighbour().

Referenced by nearestNeighbour(), nearestNeighbour(), and nearestNeighbour().

## nearestNeighbour() [2/4]

template<typename ItemType, typename BoundsTraits>
template<typename ItemDistance>

std::pair< ItemType, ItemType > geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour | ( | ItemDistance & | distance | ) |

inline

Determine the two closest items in the tree using distance metric distance.

References nearestNeighbour().

## nearestNeighbour() [3/4]

template<typename ItemType, typename BoundsTraits>
template<typename ItemDistance>

std::pair< ItemType, ItemType > geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour | ( | TemplateSTRtreeImpl< ItemType, BoundsTraits > & | other | ) |

inline

Determine the two closest items this tree and other tree using distance metric ItemDistance.

References nearestNeighbour(), and TemplateSTRtreeImpl().

## nearestNeighbour() [4/4]

template<typename ItemType, typename BoundsTraits>
template<typename ItemDistance>

std::pair< ItemType, ItemType > geos::index::strtree::TemplateSTRtreeImpl< ItemType, BoundsTraits >::nearestNeighbour | ( | TemplateSTRtreeImpl< ItemType, BoundsTraits > & | other,
|  | ItemDistance & | distance )

inline

Determine the two closest items this tree and other tree using distance metric distance.

References getRoot(), and TemplateSTRtreeImpl().